✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/item-offers/{itemOffer}/orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"item_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"quantity": 123,
"parameters": {},
"status": "pending",
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"price_eur": "<string>",
"price_usd": "<string>",
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Retrieve a paginated list of all orders (purchases) for this specific item offer with filtering and sorting options.
curl --request GET \
--url https://api.gameboost.com/v2/item-offers/{itemOffer}/orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"item_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"quantity": 123,
"parameters": {},
"status": "pending",
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"price_eur": "<string>",
"price_usd": "<string>",
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search item orders by id or title
Filter by exact id. Supports comma-separated values for multiple matches.
"3,6,9"
Filter by exact buyer id. Supports comma-separated values for multiple matches.
134951
Filter by order status
pending, in_delivery, delivered, refunded "pending"
Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2025-10-05"
Filter by sold at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by completed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by refunded at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Sort by field. Prefix with - for descending order.
id, -id, price, -price, quantity, -quantity, delivery_time, -delivery_time, created_at, -created_at, updated_at, -updated_at, sold_at, -sold_at, completed_at, -completed_at "-updated_at"
Items per page (max 50)
1 <= x <= 50Was this page helpful?